Bug 1397965 - Latest mock for el7 ver 1.2.21 doesn't contain gpg primary key for fedora25
Summary: Latest mock for el7 ver 1.2.21 doesn't contain gpg primary key for fedora25
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 17:13 UTC by Eyal Edri
Modified: 2017-01-20 20:47 UTC (History)
6 users (show)

Fixed In Version: mock-1.3.3-1.fc25 mock-1.3.3-1.fc24 mock-1.3.3-1.el7 mock-1.3.3-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 07:51:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Eyal Edri 2016-11-23 17:13:16 UTC
Description of problem:
trying to run mock of Fedora 25 on EL7 machine fails on:

DEBUG util.py:421:  warning: /var/lib/mock/fedora-25-x86_64-c204c6e2a0dcf26661b93e1c8b60e2bd-28075/root/var/cache/yum/fedora/packages/audit-libs-2.6.7-1.fc25.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fdb19c98: NOKEY
DEBUG util.py:421:  Public key for audit-libs-2.6.7-1.fc25.x86_64.rpm is not installed
DEBUG util.py:421:  GPG key retrieval failed: [Errno 14] curl#37 - "Couldn't open file /etc/pki/mock/RPM-GPG-KEY-fedora-25-primary"


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
mock should be able to run fedora 25 chroot


Additional info:

Comment 1 Miroslav Suchý 2016-11-24 09:10:42 UTC
That is because there is
  Requires: distribution-gpg-keys >= 1.6
While there should be:
  Requires: distribution-gpg-keys >= 1.8

If you run "yum upgrade distribution-gpg-keys" it will start working.

Comment 2 Miroslav Suchý 2016-11-24 09:20:14 UTC
Fixed in upstream in commit
  6d4e52931b0510c2408154a440e6d353922b4cdd

Comment 3 Fedora Update System 2017-01-01 12:25:16 UTC
mock-1.3.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c15f1fddc

Comment 4 Fedora Update System 2017-01-01 12:25:47 UTC
mock-1.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5947ef9fd1

Comment 5 Fedora Update System 2017-01-01 12:26:19 UTC
mock-1.3.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77cb570c74

Comment 6 Fedora Update System 2017-01-01 12:26:52 UTC
mock-1.3.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b5bb282f4

Comment 7 Fedora Update System 2017-01-02 00:46:26 UTC
mock-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c15f1fddc

Comment 8 Fedora Update System 2017-01-02 00:48:10 UTC
mock-1.3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b5bb282f4

Comment 9 Fedora Update System 2017-01-02 01:19:53 UTC
mock-1.3.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77cb570c74

Comment 10 Fedora Update System 2017-01-02 01:50:13 UTC
mock-1.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5947ef9fd1

Comment 11 Fedora Update System 2017-01-06 07:51:55 UTC
mock-1.3.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-09 01:20:46 UTC
mock-1.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-16 17:21:50 UTC
mock-1.3.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-20 20:47:39 UTC
mock-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.